// Search_meDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Search_me.h"
#include "Search_meDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSearch_meDlg dialog

CSearch_meDlg::CSearch_meDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSearch_meDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSearch_meDlg)
	m_strSearchFor = _T("");
	m_nEngine = -1;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_nEngine = 0;
}

void CSearch_meDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSearch_meDlg)
	DDX_Text(pDX, IDC_SEARCHFOR, m_strSearchFor);
	DDX_CBIndex(pDX, IDC_ENGINE, m_nEngine);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSearch_meDlg, CDialog)
	//{{AFX_MSG_MAP(CSearch_meDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_SEARCH, OnSearch)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSearch_meDlg message handlers

BOOL CSearch_meDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
		
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSearch_meDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSearch_meDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSearch_meDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CSearch_meDlg::OnSearch() 
{
	// TODO: Add your control notification handler code here
	CString strEngine;
	int nReturnValue;

	
	UpdateData(); //Transfer data from controls to variables
	
	m_strSearch = m_strSearchFor;
	nReturnValue=GetDlgItemText(IDC_ENGINE, strEngine); //get currently selected text
	
	UpdateData(FALSE);  //Tansfer data from variables to controls
	
	if(nReturnValue>0)
	{
		if(strEngine=="Yahoo")
		{
			m_strSearch = "http://search.yahoo.com/search?p=" 
								+ m_strSearch;
			ShellExecute(NULL, "open", m_strSearch, 
				NULL,NULL,SW_SHOWDEFAULT);
		}

		else if(strEngine=="Altavista")
		{
			m_strSearch = "http://www.altavista.digital.com/cgi-bin/query?pg=q&what=web&fmt=.&q="
								+ m_strSearch;
			ShellExecute(NULL, "open", m_strSearch,
				NULL,NULL,SW_SHOWDEFAULT);

		}


		else if(strEngine=="Excite")
		{
			m_strSearch = "http://www.excite.com/search.gw?trace=a&search="
								+m_strSearch;
			ShellExecute(NULL, "open", m_strSearch,
				NULL,NULL,SW_SHOWDEFAULT);

		}


		else if(strEngine=="Askjeeves")
		{
			m_strSearch = "http://www.askjeeves.com/AskJeeves.asp?ask="
								+m_strSearch;
			ShellExecute(NULL, "open", m_strSearch,
				NULL,NULL,SW_SHOWDEFAULT);

		}


	}

}